QGIS Application - Bug report #15584
Intersection tool ignores selected features in intersect layer
2016-09-20 12:59 AM - Frank Sokolic

Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:master Regression?: No
Operating System: Ubuntu Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 23508
Description

The Intersection tool ignores features that are selected in the Intersect Layer and performs the intersect on all features in the intersect
layer. Selected features in the Input Layer are handled correctly and the intersect is only performed on the selected features in the input
layer.

This applies to both Vector > Geoprocessing Tools > Intersection and Processing Toolbox > QGIS geoalgorithms > Vector
overlay tools > Intersection.

| feel that this is a regression from the ftools version where selected features in both the Input and Intersect layers are taken into account.

Associated revisions

Revision 7370ade7 - 2016-10-04 09:25 AM - Victor Olaya

[processing] use only selected features for spatial index

fixes #15584

Revision 90db2464 - 2016-10-18 03:55 PM - Victor Olaya

[processing] use only selected features for spatial index

fixes #15584

History

#1 - 2016-09-20 01:12 AM - Victor Olaya
- Status changed from Open to In Progress

| can confirm that it works like that. Just checked, and the issue seems to be in the spatial index. It is created with all features for the Intersect Layer,
instead of just the selected ones.

Should be easy to fix. | will do it and close the ticket when ready.

Thanks!

#2 - 2016-10-04 03:09 AM - Victor Olaya
- Status changed from In Progress to Closed

Fixed in changeset commit:"7370ade7513fb1e9a4b6dd8ec51224b5¢c29b7754".
